Bug 630288 - Review Request: ghc-enumerator - Implementation of Oleg Kiselyov's left-fold enumerators
Review Request: ghc-enumerator - Implementation of Oleg Kiselyov's left-fold ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: 619991 630270
Blocks: 630297 648093 ghc-attoparsec-enum
  Show dependency treegraph
 
Reported: 2010-09-04 12:35 EDT by Ben Boeckel
Modified: 2011-09-21 10:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-enumerator-0.4.3.1-1.fc14.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-03 15:03:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
patch to fix permission issue on readme.txt (175 bytes, patch)
2010-12-05 06:46 EST, Narasimhan
no flags Details | Diff

  None (edit)
Description Ben Boeckel 2010-09-04 12:35:00 EDT
Spec URL: http://benboeckel.net/packaging/ghc-enumerator/ghc-enumerator.spec
SRPM URL: http://benboeckel.net/packaging/ghc-enumerator/ghc-enumerator-0.4.0.1-1.fc14.src.rpm
Description:
Implementation of Oleg Kiselyov's left-fold enumerators.

% lintmock fedora-14-x86_64-bb
ghc-enumerator.src: W: strange-permission enumerator-0.4.0.1.tar.gz 0640L
ghc-enumerator.src: W: strange-permission ghc-enumerator.spec 0640L
ghc-enumerator-prof.x86_64: E: devel-dependency ghc-enumerator-devel
ghc-enumerator-prof.x86_64: W: no-documentation
ghc-enumerator-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/enumerator-0.4.0.1/libHSenumerator-0.4.0.1_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Ben Boeckel 2010-10-30 17:39:40 EDT
Spec URL: http://benboeckel.net/packaging/ghc-enumerator/ghc-enumerator.spec
SRPM URL: http://benboeckel.net/packaging/ghc-enumerator/ghc-enumerator-0.4.2-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-enumerator.src: W: spelling-error %description -l en_US http -> HTTP
ghc-enumerator.src: W: spelling-error %description -l en_US okmij -> okapi, Okie, Okinawa
ghc-enumerator.src: W: spelling-error %description -l en_US hs -> HS, sh, gs
ghc-enumerator.src: W: strange-permission ghc-enumerator.spec 0640L
ghc-enumerator.src: W: strange-permission enumerator-0.4.2.tar.gz 0640L
ghc-enumerator.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-enumerator.x86_64: W: spelling-error %description -l en_US okmij -> okapi, Okie, Okinawa
ghc-enumerator.x86_64: W: spelling-error %description -l en_US hs -> HS, sh, gs
ghc-enumerator-devel.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-enumerator-devel.x86_64: W: spelling-error %description -l en_US okmij -> okapi, Okie, Okinawa
ghc-enumerator-devel.x86_64: W: spelling-error %description -l en_US hs -> HS, sh, gs
ghc-enumerator-prof.x86_64: E: devel-dependency ghc-enumerator-devel
ghc-enumerator-prof.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-enumerator-prof.x86_64: W: spelling-error %description -l en_US okmij -> okapi, Okie, Okinawa
ghc-enumerator-prof.x86_64: W: spelling-error %description -l en_US hs -> HS, sh, gs
ghc-enumerator-prof.x86_64: W: no-documentation
ghc-enumerator-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/enumerator-0.4.2/libHSenumerator-0.4.2_p.a
4 packages and 0 specfiles checked; 1 errors, 16 warnings.
Comment 2 Narasimhan 2010-11-14 19:22:33 EST
The srpm url is not accessible http://benboeckel.net/packaging/ghc-enumerator/ghc-enumerator-0.4.2-1.fc14.src.rpm
Comment 3 Narasimhan 2010-11-14 19:26:48 EST
The spec file at this URL  http://benboeckel.net/packaging/ghc-enumerator/ghc-enumerator.spec
does not match the version of srpm  (0.4.2).
Comment 4 Ben Boeckel 2010-11-29 19:25:38 EST
Oops. Uploaded the SRPM with an old spec. Fixed.
Comment 5 Narasimhan 2010-12-05 06:46:59 EST
Created attachment 464824 [details]
patch to fix permission issue on readme.txt
Comment 6 Narasimhan 2010-12-05 06:48:04 EST
Also the contents of the  spec file given in the URL does not match that of the spec file inside the srpm.
Comment 7 Narasimhan 2010-12-07 11:15:09 EST
The review is provided here after applying the attached patch to the spec file. Please apply the patch before adding the spec file to source control.

[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint -i ghc-enumerator*.rpm ghc-enumerator.spec 
ghc-enumerator-prof.i686: E: devel-dependency ghc-enumerator-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-enumerator-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-enumerator-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/enumerator-0.4.2/libHSenumerator-0.4.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated. A newer version (0.4.3.1) is available.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, present in devel package.

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
packaged as license.txt
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum ghc-enumerator-0.4.2-1.fc14.src/enumerator-0.4.2.tar.gz 
f50d24a77b57690eab31fa91aa4cd03b  ghc-enumerator-0.4.2-1.fc14.src/enumerator-0.4.2.tar.gz

md5sum ~/Downloads/enumerator-0.4.2.tar.gz 
f50d24a77b57690eab31fa91aa4cd03b  /home/lvaikunt/Downloads/enumerator-0.4.2.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissable content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
Fixed permission issue on readme.txt via fix.patch.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}

rpm -e ghc-enumerator
error: Failed dependencies:
	ghc-enumerator = 0.4.2-1.fc14 is needed by (installed) ghc-enumerator-devel-0.4.2-1.fc14.i686
	
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
Checked with rpmquery --list
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package. Wrote a small program that imports the module Data.Enumerator.Text. Compiles and builds fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 8 Ben Boeckel 2010-12-07 12:00:26 EST
New Package CVS Request
=======================
Package Name: ghc-enumerator
Short Description: Implementation of Oleg Kiselyov's left-fold enumerators
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 9 Jens Petersen 2010-12-08 19:47:11 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2010-12-10 21:42:12 EST
ghc-enumerator-0.4.3.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-enumerator-0.4.3.1-1.fc13
Comment 11 Fedora Update System 2010-12-10 21:42:21 EST
ghc-enumerator-0.4.3.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-enumerator-0.4.3.1-1.fc14
Comment 12 Fedora Update System 2010-12-11 19:01:47 EST
ghc-enumerator-0.4.3.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-enumerator'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-enumerator-0.4.3.1-1.fc13
Comment 13 Fedora Update System 2011-01-03 15:03:28 EST
ghc-enumerator-0.4.3.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2011-01-03 15:06:29 EST
ghc-enumerator-0.4.3.1-1.fc14.1 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.